import { FaFire } from 'react-icons/fa';

function Logo({ size = "default" }) {
  const sizeClasses = {
    small: "w-6 h-6",
    default: "w-8 h-8",
    large: "w-12 h-12"
  };

  return (
    <div className={`relative rounded-full flex items-center justify-center ${sizeClasses[size]}`}>
      <FaFire className="text-campfire-amber animate-flicker" size={size === "small" ? 16 : size === "large" ? 32 : 24} />
    </div>
  );
}

export default Logo;